summaryrefslogtreecommitdiff
path: root/tests/readlink/rl-1
diff options
context:
space:
mode:
Diffstat (limited to 'tests/readlink/rl-1')
-rwxr-xr-xtests/readlink/rl-171
1 files changed, 71 insertions, 0 deletions
diff --git a/tests/readlink/rl-1 b/tests/readlink/rl-1
new file mode 100755
index 0000000..d9c8913
--- /dev/null
+++ b/tests/readlink/rl-1
@@ -0,0 +1,71 @@
+#!/bin/sh
+# test for readlink mode.
+
+# Copyright (C) 2004, 2006 Free Software Foundation, Inc.
+
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
+# 02110-1301, USA.
+
+if test "$VERBOSE" = yes; then
+ set -x
+ readlink --version
+fi
+
+pwd=`pwd`
+t0=`echo "$0" |sed 's,.*/,,'`.tmp; tmp=$t0/$$
+trap 'status=$?; cd "$pwd" && chmod -R u+rwx $t0 && rm -rf $t0 && exit $status' 0
+trap 'status=$?; (exit $status); exit $status' 1 2 13 15
+
+fail=1
+while :; do
+ mkdir -p $tmp || break
+ cd $tmp || break
+
+ mkdir subdir || break
+ touch regfile || break
+ ln -s regfile link1 || break
+ ln -s missing link2 || break
+
+ fail=0
+ break
+done
+
+if test $fail = 1; then
+ echo "$0: failure in testing framework" 1>&2
+ (exit 1); exit 1
+fi
+
+fail=1
+while :; do
+ v=`readlink link1` || break
+ test "$v" = regfile || break
+
+ v=`readlink link2` || break
+ test "$v" = missing || break
+
+ v=`readlink subdir` && break
+ test -z "$v" || break
+
+ v=`readlink regfile` && break
+ test -z "$v" || break
+
+ v=`readlink missing` && break
+ test -z "$v" || break
+
+ fail=0
+ break
+done
+
+(exit $fail); exit $fail